extends AudioStreamPlayer
var projectile = "res://object/bulletsm.tscn"
var fire_rate = 0.5
var timer = fire_rate
var bounds = Vector2()
var accr = 70
var shootstraight = false
## SPAWN
func spawn():#Spawn a bullet/projectile at the bottom of the screen
	var proj = load(projectile).instance()
	if(shootstraight==false):
		proj.global_position = Vector2(randi()%int(bounds.x),bounds.y)
	else:
		proj.global_position = Vector2(bounds.x,bounds.y)
	proj.rotation_degrees = clamp(-accr+randi()%(accr*2),-90,90)
	add_child(proj,true)
	play()

## MAIN
func _physics_process(delta):
	timer-=delta
	if(timer<0):
		timer=fire_rate
		spawn()

func _ready():
	bounds = Vector2(ProjectSettings.get("display/window/size/width"),ProjectSettings.get("display/window/size/height"))