extends RigidBody2D
var speed = 12000

## GAMEOVER
func gameover(bod):#When you die
	get_tree().change_scene("res://GUI/Menu.tscn")
	$"/root/HUD".reset()

## EFFECTS
func color_picker():#Sets the balloon to a random color
	randomize()
	modulate = Color(randf(),randf(),randf())

## MOVEMENT
func floatby(delta):#move the balloon around
	var left = Input.get_action_strength("ui_left")
	var right = Input.get_action_strength("ui_right")
	var dir = right-left
	linear_velocity.x=(dir*delta*speed)

	if(position.x < 0):#Bounds
		position.x = 0
	elif(position.x > ProjectSettings.get("display/window/size/width")):
		position.x = ProjectSettings.get("display/window/size/width")

## MAIN
func _physics_process(delta):
	floatby(delta)
	$"/root/HUD".update_height(1)

func _ready():
	color_picker()
	connect("body_entered",self,"gameover")