extends Node2D

## SOUND
func _on_AudioStreamPlayer_finished():
	var nam = $AudioStreamPlayer.stream.resource_path
	var newaud = ""
	var newtext = ""
	match(nam):
		"res://assets/what_a_lovely_day.wav":
			newaud = "res://assets/the_balloon_up.wav"
			newtext = "The Balloon will always go up."
			$Balloon.gravity_scale = -0.14
		"res://assets/the_balloon_up.wav":
			newaud = "res://assets/moveleft_right.wav"
			newtext = "You can move with 'A'&'D' \nor the arrow keys."
			$Balloon.set_physics_process(true)
		"res://assets/moveleft_right.wav":
			newaud = "res://assets/killedchild.wav"
			newtext = "YOU JUST KILLED A CHILD!"
			$kid.gravity_scale = 1.2
			$kid/DampedSpringJoint2D.queue_free()
		"res://assets/killedchild.wav":
			get_tree().change_scene("res://levels/MAINLEVEL.tscn")
			$"/root/HUD".play_music("res://assets/balloon.ogg")
			$"/root/HUD".get_node("music").volume_db = 0
	
	$AudioStreamPlayer.stream = load(newaud)
	get_tree().create_timer(3).connect("timeout",$AudioStreamPlayer,"play")
	get_tree().create_timer(3).connect("timeout",$tut,"set_text",[newtext])

## MAIN
func _ready():
	$Balloon.set_physics_process(false)